LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07147Bug reports[All Projects] Securitypublic2013-01-07 11:272013-01-15 09:14
Reportersamarta 
Assigned Toc_schmitz 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07147: Unable to set survey permissions for non-admin users
Description
Hi,

When a non-admin user (this
user is the owner of the survey) tries to set survey permissions for a survey we get the following message:

"Internal Server Error
CDbCommand failed to execute the SQL statement: SQLSTATE[HY093]: Invalid parameter number: parameter was not defined
An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.
Steps To ReproduceUser with no Super-Administrator privileges creates a survey
This user tries to set survey permissions
Error occurs
Additional InformationWith debug set to 2 The messahe is:
CDbCommand failed to execute the SQL statement: SQLSTATE[HY093]: Invalid parameter number: parameter was not defined. The SQL statement executed was: SELECT * FROM `lime_surveys` `t` WHERE sid = :surveyid AND owner_id != :postuserid AND owner_id = :owner_id LIMIT 1

I also tried with versions:
Version 2.00+ Build 121024

and
Version 2.00+ Build 121209
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130103
BrowserSafari, Firefox
Database & DB-Versionmysql Ver 14.14 Distrib 5.5.28, for Linux (x86_64) using readline 5.1
Operating System (Server)Fedora release 16
Webserver software & versionApache/2.2.22
PHP VersionPHP 5.3.18
Attached Files? file icon CDbException.webarchive [^] (23,618 bytes) 2013-01-07 11:27

- Relationships

-  Notes
User avatar (23584)
c_schmitz (administrator)
2013-01-09 15:27

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11142 [^]
User avatar (23597)
c_schmitz (administrator)
2013-01-09 21:45

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11154 [^]
User avatar (23671)
c_schmitz (administrator)
2013-01-15 09:14

2.00+ Build 130115 released

- Related Changesets
LimeSurvey: master 0ac1e38d
Timestamp: 2013-01-09 14:27:26
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07147: Unable to set survey permissions for non-admin users
mod - application/controllers/admin/surveypermission.php Diff ] File ]
LimeSurvey: 2.1 b26da2ab
Timestamp: 2013-01-09 14:27:26
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07147: Unable to set survey permissions for non-admin users
mod - application/controllers/admin/surveypermission.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-07 11:27 samarta New Issue
2013-01-07 11:27 samarta File Added: CDbException.webarchive
2013-01-07 12:01 c_schmitz Assigned To => c_schmitz
2013-01-07 12:01 c_schmitz Status new => assigned
2013-01-09 15:27 c_schmitz Changeset attached => LimeSurvey master 0ac1e38d
2013-01-09 15:27 c_schmitz Note Added: 23584
2013-01-09 15:27 c_schmitz Resolution open => fixed
2013-01-09 15:28 c_schmitz Status assigned => resolved
2013-01-09 15:28 c_schmitz Fixed in Version => 2.00+
2013-01-09 21:45 c_schmitz Changeset attached => LimeSurvey 2.1 b26da2ab
2013-01-09 21:45 c_schmitz Note Added: 23597
2013-01-15 09:14 c_schmitz Note Added: 23671
2013-01-15 09:14 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker